# Prosody Remote Certificates
This is a plugin for the monitoring software [Munin](http://munin-monitoring.org) to monitor a [Prosody](http://prosody.im) XMPP server.

The plugins monitors the status of the certificates a remote server uses to connect to the local server.

Here's an example how how this plugin works: [Prosody Remote Certificates statistics for jabber.hot-chilli.net](https://www.hot-chilli.net/munin/hot-chilli.net/tethys.hot-chilli.net/loggrep_prosodyrcerts.html)

## Installation and configuration
It is very simple to install this plugin.

Create symlink:

`ln -s /usr/share/munin/plugins/loggrep /etc/munin/plugins/loggrep_prosodyrcerts`

Create a file */etc/munin/plugin-conf.d/loggrep_prosodyrcerts* (we don't want change the standard file */etc/munin/plugin-conf.d/munin-node* as future updates might want to undo the changes) and put the following into it:
```
[loggrep_prosodyrcerts]
user root
env.regex_trustedvalid has a trusted valid certificate with
env.label_trustedvalid trusted valid
env.regex_trustedinvalid has a trusted invalid certificate with
env.label_trustedinvalid trusted invalid
env.regex_untrustedinvalid has a untrusted invalid certificate with
env.label_untrustedinvalid untrusted invalid
env.logfile /var/log/prosody/prosody.log
env.title Prosody remote certificates
```

Edit */etc/munin/munin.conf* - in our case we have a Munin host named *tethys.hot-chilli.net*, please add it under the specifications for your own host:
```
[tethys.hot-chilli.net]
    address 127.0.0.1
    ...
    loggrep_prosodyrcerts.graph_category prosody
    loggrep_prosodyrcerts.graph_period minute
```

Now you need to restart munin-node:

`/etc/init.d/munin-node restart`

That's it. Enjoy!