# Prosody failed encryted S2S communication
This is a plugin for the monitoring software [Munin](http://munin-monitoring.org) to monitor a [Prosody](http://prosody.im) XMPP server.

The plugins monitors failed encryted server to server (S2S) communication between a remote server and the local server.

Here's an example how how this plugin works: [Prosody failed encrypted S2S communication statistics for jabber.hot-chilli.net](https://www.hot-chilli.net/munin/hot-chilli.net/tethys.hot-chilli.net/loggrep_prosodys2sfails.html)

## Installation and configuration
It is very simple to install this plugin.

Create symlink:

`ln -s /usr/share/munin/plugins/loggrep /etc/munin/plugins/loggrep_prosodys2sfails`

Create a file */etc/munin/plugin-conf.d/loggrep_prosodys2sfails* (we don't want change the standard file */etc/munin/plugin-conf.d/munin-node* as future updates might want to undo the changes) and put the following into it:

**Prosody 0.9:**
```
[loggrep_prosodys2sfails]
user root
env.regex_outencfailed outgoing s2s stream .* closed: Encrypted server-to-server communication is required but was not offered
env.label_outencfailed outgoing S2S encryption failed
env.regex_inencfailed incoming s2s stream .* closed: Encrypted server-to-server communication is required but was not used
env.label_inencfailed incoming S2S encryption failed
env.logfile /var/log/prosody/prosody.log
env.title Prosody failed encrypted S2S communication
```

**Prosody 0.10:**
```
[loggrep_prosodys2sfails]
user root
env.regex_outencfailed Outgoing s2s stream .* closed: Encrypted server-to-server communication is required but was not offered
env.label_outencfailed outgoing S2S encryption failed
env.regex_inencfailed Incoming s2s stream .* closed: Encrypted server-to-server communication is required but was not used
env.label_inencfailed incoming S2S encryption failed
env.logfile /var/log/prosody/prosody.log
env.title Prosody failed encrypted S2S communication
```

Edit */etc/munin/munin.conf* - in our case we have a Munin host named *tethys.hot-chilli.net*, please add it under the specifications for your own host:
```
[tethys.hot-chilli.net]
    address 127.0.0.1
    ...
    loggrep_prosodys2sfails.graph_category prosody
    loggrep_prosodys2sfails.graph_period minute
```

Now you need to restart munin-node:

`/etc/init.d/munin-node restart`

That's it. Enjoy!